dpkg(1)

NOM
dpkg - un gestionnaire de paquet pour Debian

SYNOPSIS
dpkg [option...] action

AVERTISSEMENT
Ce manuel est destiné aux utilisateurs qui souhaitent aller au-delà de la commande dpkg --help pour la compréhension des options de la ligne de commande et des états des paquets. Les responsables de paquet qui veulent comprendre comment dpkg installe leur paquet ne doivent pas l'utiliser. Les descriptions concernant l'installation ou la désinstallation des paquets sont très insuffisantes.

DESCRIPTION
dpkg est un outil pour l'installation, la création, la suppression et la gestion des paquets Debian. aptitude(1) est la principale interface à dpkg et la plus agréable pour l'utilisateur. dpkg lui-même est entièrement contrôlé par des paramètres sur la ligne de commande. Une commande comporte exactement une action et zéro ou plusieurs options. Le paramètre « action » dit ce que dpkg doit faire et les options modifient l'action d'une manière ou d'une autre. dpkg peut également être utilisé comme interface pour dpkg-deb(1) et dpkg-query(1). La liste des actions gérées est indiquée dans la section ACTIONS. Si cette section est présente, dpkg n'exécute que dpkg-deb ou dpkg-query avec les paramètres qui lui sont passés, mais aucune action spécifique ne leur est communiquée. Pour utiliser cela, il est nécessaire d'appeler le programme directement.

RENSEIGNEMENTS SUR LES PAQUETS
dpkg conserve des renseignements utiles sur les paquets disponibles. Cette information est divisée en trois classes : les états, les états de la sélection et les drapeaux. La modification de ces valeurs est principalement dévolue à dselect.

  États du paquet :

not-installed
    Le paquet n'est pas installé sur le système.

config-files
    Seuls les fichiers de configuration du paquet existent sur le système.

half-installed
    L'installation du paquet a commencé mais, pour une raison quelconque, ne s'est pas terminée.

unpacked
    Le paquet est dépaqueté mais n'est pas configuré.

half-configured
    Le paquet est dépaqueté et la configuration a commencé mais, pour une quelconque raison, ne s'est pas terminée.

triggers-awaited
    Le paquet attend l'exécution d'une action différée qui est à la charge d'un autre paquet.

triggers-pending
    Une action différée de ce paquet a été activée, il reste à l'exécuter.

installed
    Le paquet est correctement dépaqueté et configuré.

  États de sélection des paquets

install
    Le paquet est sélectionné pour être installé.

hold
    dpkg laisse de côté un paquet marqué hold, à moins qu'il ne soit lancé avec l'option de forçage --force-hold.

deinstall
    Le paquet est sélectionné pour être désinstallé (c'est-à-dire qu'on veut supprimer tous les fichiers à l'exception des fichiers de configuration).

purge
    Le paquet est sélectionné pour être purgé (c'est-à-dire qu'on veut tout supprimer dans les répertoire du système, même les fichiers de configuration).

  Drapeaux du paquet :

reinst-required
    Un paquet marqué reinst-required est défectueux et demande une réinstallation. dpkg ne peut supprimer de tels paquets, à moins qu'il ne soit lancé avec l'option de forçage --force-remove-reinstreq.

ACTIONS

-i, --install fichier-paquet...
    Installe le paquet. Si l'option --recursive ou -R est utilisée, fichier-paquet doit alors être un répertoire. L'installation comporte les étapes suivantes :
    1. Extraction des fichiers de contrôle du nouveau paquet.
    2. Quand une ancienne version du même paquet est déjà installée, exécution du script prerm de l'ancien paquet.
    3. Lancement du script preinst, s'il est fourni par le paquet.
    4. Dépaquetage des nouveaux fichiers et, en même temps, sauvegarde des anciens de manière à pouvoir les restaurer si quelque chose tourne mal.
    5. Quand une ancienne version du même paquet est déjà installée, exécution du script postrm de l'ancien paquet. Il faut remarquer que ce script est exécuté après le script preinst du nouveau paquet, parce que les nouveaux fichiers sont écrits dans le même temps que les anciens sont supprimés.
    6. Configuration du paquet. Voyez l'action --configure pour savoir comment cela se passe.

--unpack fichier-paquet...
    Dépaquète le paquet mais ne configure rien. Si l'option --recursive ou -R est utilisée, fichier-paquet doit alors indiquer un répertoire.

--configure paquet...|-a|--pending
    Reconfiguration d'un paquet dépaqueté mais non encore configuré. Si l'option -a ou --pending est utilisée au lieu de paquet, tous les paquets dépaquetés mais non configurés sont configurés. Pour reconfigurer un paquet qui l'a déjà été, vous devriez plutôt utiliser la commande dpkg-reconfigure(8). La configuration comporte les étapes suivantes :
    1. Dépaquetage des fichiers de configuration, et dans le même temps sauvegarde des anciens fichiers de configuration, de manière à pouvoir les restaurer si quelque chose se passe mal.
    2. Exécution du script postinst, s'il est fourni par le paquet.

--triggers-only paquet ...|-a | --pending
    Processes only triggers (since dpkg 1.14.17). All pending triggers will be processed. If package names are supplied only those packages' triggers will be processed, exactly once each where necessary. Use of this option may leave packages in the improper triggers-awaited and triggers-pending states. This can be fixed later by running: dpkg --configure --pending.

-r, --remove paquet...|-al--pending
    Supprimer un paquet installé. Supprime tout à l'exception des fichiers de configuration, ce qui évite d'avoir à reconfigurer le paquet s'il était réinstallé par la suite (ces fichiers sont les fichiers de configuration listés dans le fichier de contrôle DEBIAN/conffiles). Si -a ou --pending est indiqué à la place d'un nom de paquet, alors tous les paquets dépaquetés mais marqués pour suppression dans le fichier /var/lib/dpkg/status seront supprimés. La suppression d'un paquet comporte les étapes suivantes :
    1. Lancement du script prerm
    2. Suppression des fichiers installés
    3. lancement du script postrm

-P, --purgepaquet...|-a|--pending
    Purger un paquet installé ou déjà supprimé. L'action supprime tout, y compris les fichiers de configuration. Si -a ou --pending est indiqué à la place d'un nom de paquet, tous les paquets dépaquetés ou supprimés mais marqués dans le fichier /var/lib/dpkg/status comme devant être purgés seront purgés. Note : certains fichiers de configuration peuvent être inconnus de dpkg car ils sont créés et gérés séparement par le biais de scripts de configuration. En ce cas, dpkg ne les supprimera pas lui-même et le script postrm du paquet devra s'en charger durant l'opération de purge. Cela ne s'applique bien entendu qu'aux fichiers situés dans les répertoires systèmes et non aux fichiers de configuration créés dans les répertoires « home » des utilisateurs. La suppression d'un paquet comporte les étapes suivantes :
    1. Supprime le paquet s'il n'est pas déjà supprimé. Voir --remove pour plus de détails sur la façon dont cela est fait.
    2. Exécuter le script postrm.

-V, --verify nom-du-paquet...
    Verifies the integrity of package-name or all packages if omitted, by comparing information from the files installed by a package with the files metadata information stored in the dpkg database (since dpkg 1.17.2). The origin of the files metadata information in the database is the binary packages themselves. That metadata gets collected at package unpack time during the installation process. Actuellement la seule vérification fonctionnelle effectuée est une comparaison des sommes de contrôle MD5 des fichiers par rapport aux valeurs stockées dans la base de données des fichiers. La vérification n'a lieu que si la base de données contient les informations nécessaires. Pour vérifier si des méta-données manquent dans la base de données, la commande --audit peut être employée. On peut choisir le format de sortie avec l'option --verify-format, par défaut c'est le format rpm, mais cela pourrait changer dans le futur, et selon le format que les programmes analysant cette sortie de commande pourraient explicitement attendre.

--update-avail [Packages-file]
--merge-avail [Packages-file]
    Met à jour l'information de dpkg et de dselect sur les paquets disponibles. L'action --merge-avail combine les informations anciennes avec celles qui proviennent du fichier fichier-Packages. L'action --update-avail remplace les informations anciennes par celles qui proviennent du fichier fichier-Packages. Le fichier fichier-Packages distribué avec Debian est appelé simplement Packages. Si le paramètre fichier- Packages est manquant ou est nommé -, alors, il sera lu à partir de l'entrée standard (depuis dpkg 1.17.7). dpkg garde son propre enregistrement des paquets disponibles dans /var/lib/dpkg/available. Une simple commande permettant de récupérer et mettre à jour le fichier available est dselect update. Veuillez noter que ce fichier est à peu près inutile si vous n'utilisez pas dselect mais une interface basée sur APT. APT contient en effet son propre mécanisme pour suivre les paquets disponibles.

-A, --record-avail fichier_paquet...
    Met à jour l'information de dpkg et de dselect sur les paquets disponibles avec les informations qui proviennent de fichier-paquet. Si l'option --recursive ou -R est utilisée, fichier-paquet doit indiquer un répertoire.

--forget-old-unavail
    Now obsolete and a no-op as dpkg will automatically forget uninstalled unavailable packages (since dpkg 1.15.4).

--clear-avail
    Efface les renseignements existants sur les paquets disponibles.

-C, --audit nom-paquet...
    Performs database sanity and consistency checks for package-name or all packages if omitted (per package checks since dpkg 1.17.10). For example, searches for packages that have been installed only partially on your system or that have missing, wrong or obsolete control data or files. dpkg will suggest what to do with them to get them fixed.

--get-selections [motif-de-nom-de-paquet...]
    Obtenir la liste des sélections de paquets et l'envoie sur la sortie standard. Sans un motif, les paquets non installés (c'est-à-dire ceux qui ont été précédemment purgés) ne seront pas affichés.

--set-selections
    Set package selections using file read from stdin. This file should be in the format “package state”, where state is one of install, hold, deinstall or purge. Blank lines and comment lines beginning with ‘#’ are also permitted. Le fichier available doit être à jour pour que cette commande soit utile, autrement des paquets inconnus seront ignorés avec un avertissement. Veuillez consultez les commandes --update-avail and --merge-avail pour plus d'informations.

--clear-selections
    Set the requested state of every non-essential package to deinstall (since dpkg 1.13.18). This is intended to be used immediately before --set-selections, to deinstall any packages not in list given to --set-selections.

--yet-to-unpack
    Recherche les paquets qui ont été sélectionnés pour l'installation, mais qui, pour une raison quelconque, ne sont pas encore installés.

--add-architecture architecture
    Add architecture to the list of architectures for which packages can be installed without using --force-architecture (since dpkg 1.16.2). The architecture dpkg is built for (i.e. the output of --print-architecture) is always part of that list.

--remove-architecture architecture
    Remove architecture from the list of architectures for which packages can be installed without using --force-architecture (since dpkg 1.16.2). If the architecture is currently in use in the database then the operation will be refused, except if --force-architecture is specified. The architecture dpkg is built for (i.e. the output of --print-architecture) can never be removed from that list.

--print-architecture
    Print architecture of packages dpkg installs (for example, “i386”).

--print-foreign-architectures
    Print a newline-separated list of the extra architectures dpkg is configured to allow packages to be installed for (since dpkg 1.16.2).

--compare-versions ver1 op ver2
    Compare version numbers, where op is a binary operator. dpkg returns success (zero result) if the specified condition is satisfied, and failure (nonzero result) otherwise. There are two groups of operators, which differ in how they treat an empty ver1 or ver2. These treat an empty version as earlier than any version: lt le eq ne ge gt. These treat an empty version as later than any version: lt-nl le-nl ge-nl gt-nl. These are provided only for compatibility with control file syntax: < << <= = >= >> >. The < and > operators are obsolete and should not be used, due to confusing semantics. To illustrate: 0.1 < 0.1 evaluates to true.

-?, --help
    Affiche un court message d'aide.

--force-help
    Donne des renseignements sur les options --force-quelque-chose.

-Dh, --debug=help
    Donne des renseignements sur les options de débogage.

--version
    Affiche la version de dpkg.

dpkg-deb actions
    Voyez dpkg-deb(1) pour des renseignements supplémentaires sur les actions suivantes.
    -b, --build directory [archive|directory]
        Build a deb package.
    -c, --contents archive
        List contents of a deb package.
    -e, --control archive [directory]
        Extract control-information from a package.
    -x, --extract archive directory
        Extract the files contained by package.
    -X, --vextract archive directory
        Extract and display the filenames contained by a
        package.
    -f, --field  archive [control-field...]
        Display control field(s) of a package.
    --ctrl-tarfile archive
        Output the control tar-file contained in a Debian package.
    --fsys-tarfile archive
        Output the filesystem tar-file contained by a Debian package.
    -I, --info archive [control-file...]
        Show information about a package.

dpkg-query actions
    Voyez dpkg-query(1) pour davantage d'explications sur les actions suivantes.
    -l, --list motif-du-nom-de-paquet ...
        Affiche la liste des paquets qui correspondent au motif.
    -s, --status nom-du-paquet ...
        Donne l'état du paquet indiqué.
    -L, --listfiles nom-du-paquet ...
        Affiche la liste des fichiers installés qui appartiennent
        à paquet.
    -S, --search motif-du-fichier-à-rechercher ...
        Recherche un fichier dans les paquets installés.
    -p, --print-avail nom-du-paquet
        Affiche les informations trouvées dans /var/lib/dpkg/available
        à propos de paquet. Les utilisateurs des interfaces à APT
        devraient plutôt utiliser apt-cache show nom-du-paquet.

OPTIONS
On peut spécifier toutes les options à la fois sur la ligne de commande, dans le fichier de configuration de dpkg, /etc/dpkg/dpkg.cfg ou dans les fragments de fichiers du répertoire de configuration /etc/dpkg/dpkg.cfg.d/ (avec un nom qui respecte le motif '[0-9a-zA-Z_-]*')). Chaque ligne de ce fichier est soit une option (identique à une option en ligne de commande mais sans tirets initiaux), soit un commentaire, commençant par #.

--abort-after=nombre
    Modifie le nombre d'erreurs au delà duquel dpkg s'arrête. Il est par défaut égal à 50.

-B, --auto-deconfigure
    Quand un paquet est supprimé, il peut arriver qu'un paquet installé dépendait du paquet supprimé. En spécifiant cette option, on obtient la déconfiguration automatique du paquet qui dépendait du paquet supprimé.

-Doctal, --debug=octal
    Demande de débogage. octal est formé en faisant un « ou » logique entre des valeurs souhaitées appartenant à la liste ci-dessous (notez que ces valeurs pourront changer dans les prochaines versions). -Dh ou --debug=help affiche ces valeurs de débogage.
     nombre description
        1 Informations de progression
            en général utiles
        2 Appel et état des scripts du responsable
       10 Affichage pour chaque fichier traité
      100 De nombreux affichages pour chaque fichier
            traité
       20 Affichage pour chaque fichier de configuration
      200 De nombreux affichages pour chaque fichier
            de configuration
       40 Dépendances et conflits
      400 De nombreuses sorties pour les dépendances
            et les conflits 10000 Sortie sur l'activation et le traitement des actions différées 20000 De nombreuses sorties sur les actions différées 40000 Quantité stupide de sorties sur les actions différées
     1000 Beaucoup de radotage à propos du répertoire
            dpkg/info
     2000 Quantité stupide de radotage

--force-things
--no-force-things, --refuse-things
    Forcer ou refuser (no-force et refuse signifient la même chose) de faire quelque chose. quelque-chose est une liste d'actions séparées par des virgules, décrites ci-après. --force-help affiche un message qui les décrit. Les actions marquées d'un (*) sont forcées par défaut. Avertissement : ces options sont principalement destinées aux experts. Un usage auquel manque la pleine compréhension de leurs effets peut casser le système entier. all : Met en ?uvre (ou pas) toutes les options de forçage. downgrade(*) : Installe un paquet, même si une version plus récente du paquet est déjà installée. Avertissement : pour l'instant, dpkg ne recherche pas les dépendances lors d'un retour à une version inférieure d'un paquet ; il ne vous préviendra pas si la version choisie casse les dépendances d'un autre paquet. Cela peut avoir de sérieuses conséquences ; et si l'on revient à des versions antérieures des programmes essentiels du système, cela peut rendre votre système inutilisable. N'utiliser qu'avec précaution. configure-any : Configure aussi les paquets dépaquetés mais non configurés dont dépend le paquet en question. hold: Process packages even when marked “hold”. remove-reinstreq : Supprime un paquet, même défectueux et marqué comme demandant une réinstallation. Il se peut, dès lors, que des éléments du paquet restent dans le système et soient oubliés par dpkg. remove-essential : supprime un paquet même s'il est considéré comme indispensable. Les paquets « Essential » comportent les commandes Unix les plus fondamentales et les enlever peut casser le système entier. Il faut utiliser cette option avec prudence. depends : Change tous les problèmes de dépendance en avertissements. depends-version : Ignore les versions dans les questions de dépendance. breaks: Install, even if this would break another package (since dpkg 1.14.6). conflicts : Installe un paquet, même s'il est en conflit avec un autre paquet. C'est dangereux car habituellement cela produit le remplacement de certains fichiers. confmiss : si un fichier de configuration est manquant et que la version du paquet change, toujours l'installer. Cette opération est dangereuse, puisque les changements apportés au fichier ne seront pas préservés (suppression). confnew : quand un fichier de configuration a été modifié et que la version dans le paquet a changé, toujours installer la nouvelle version et ne rien demander, sauf si l'option --force-confdef est aussi présente, auquel cas l'action par défaut est choisie. confold : quand un fichier de configuration a été modifié et que la version du paquet a changé, garder l'ancienne version et ne rien demander, sauf si l'option --force-confdef est aussi présente, auquel cas l'action par défaut est choisie. confdef : quand un fichier de configuration a été modifié et que la version du paquet a changé, utilise toujours l'action par défaut, de manière non interactive. Quand il n'y a pas d'action par défaut, la commande s'arrête et interroge l'utilisateur, à moins que l'option --force-confnew ou l'option --force-confold n'ait été donnée, auquel cas elle se sert de ces options pour déterminer ce qu'il faut faire. confask: If a conffile has been modified always offer to replace it with the version in the package, even if the version in the package did not change (since dpkg 1.15.8). If any of --force-confmiss, --force-confnew, --force-confold, or --force-confdef is also given, it will be used to decide the final action. overwrite : Remplace un fichier par un fichier d'un autre paquet. overwrite-dir : Remplace un répertoire par un répertoire d'un autre paquet. overwrite-diverted : Remplace un fichier détourné avec une version non détournée. unsafe-io: Do not perform safe I/O operations when unpacking (since dpkg 1.15.8.6). Currently this implies not performing file system syncs before file renames, which is known to cause substantial performance degradation on some file systems, unfortunately the ones that require the safe I/O on the first place due to their unreliable behaviour causing zero-length files on abrupt system crashes. Note: Pour ext4, le principal concerné, il est suggéré de plutôt utiliser l'option de montage nodelalloc, qui corrigera à la fois la dégradation des performances et les problèmes de sécurité des données. Elle permet notamment d'éviter de terminer avec des fichiers vides lors des arrêts brutaux pour tout logiciel qui ne synchronise pas le système de fichiers avant chaque renommage. Avertissement : L'utilisation de cette option peut améliorer la performance mais augmente le risque de perte de données. Elle est donc à utiliser avec précautions. architecture : Traite même les paquets sans architecture ou avec une architecture incorrecte. bad-version: Process even packages with wrong versions (since dpkg 1.16.1). bad-path : Programmes importants non visibles par la variable PATH, ce qui va poser des problèmes. not-root : Tente de (dés)installer même sans être root. bad-verify : Installe un paquet même si la vérification de son authenticité a échoué.

--ignore-depends=paquet,...
    Ne tient pas compte de la vérification des dépendances pour les paquets spécifiés (en fait, la vérification est faite mais on ne donne rien d'autre que des avertissements).

--no-act, --dry-run, --simulate
    Faire tout ce qui doit être fait, mais n'écrire aucune modification. On utilise cette option pour voir ce qui se passe sans modifier quoi que ce soit. Assurez-vous de donner l'option --no-act avant le paramètre action, sinon des résultats fâcheux sont probables. Par exemple, la commande dpkg --purge foo --no-act purge d'abord le paquet foo et essaie ensuite de purger le paquet --no-act, même si vous comptiez qu'elle ne ferait rien du tout.

-R, --recursive
    Traite récursivement tous les simples fichiers qui correspondent au motif *.deb et qui se trouvent dans les répertoires et sous-répertoires spécifiés. On peut utiliser cette option avec les actions -i, -A, --install, --unpack et --avail.

-G  Ne pas installer un paquet si une version plus récente de ce paquet est déjà installée. C'est un alias pour --refuse-downgrade.

--admindir=dir
    Modifie le répertoire d'administration par défaut, qui contient de nombreux fichiers donnant des informations au sujet de l'état des paquets installés ou non, etc. (Le répertoire par défaut étant /var/lib/dpkg)

--instdir=repertoire
    Change le répertoire d'installation par défaut qui indique où les paquets vont être installés. instdir est aussi le nom du répertoire indiqué à chroot(2) avant que ne soient lancés les scripts d'installation, ce qui signifie que ces scripts voient instdir comme répertoire racine. (Le répertoire par défaut est /).

--root=répertoire
    Modifier root change instdir par répertoire et admindir par dir/var/lib/dpkg.

-O, --selected-only
    Traiter seulement les paquets qui sont sélectionnés pour l'installation. La sélection est réellement faite par dselect ou par dpkg quand ils manipulent les paquets. Par exemple, quand un paquet est supprimé, il est marqué comme ayant été sélectionné pour une désinstallation.

-E, --skip-same-version
    Ne pas installer le paquet si la même version du paquet est déjà installée.

--pre-invoke=commande
--post-invoke=commande
    Set an invoke hook command to be run via “sh -c” before or after the dpkg run for the unpack, configure, install, triggers-only, remove, purge, add-architecture and remove-architecture dpkg actions (since dpkg 1.15.4). This option can be specified multiple times. The order the options are specified is preserved, with the ones from the configuration files taking precedence. The environment variable DPKG_HOOK_ACTION is set for the hooks to the current dpkg action. Note: front-ends might call dpkg several times per invocation, which might run the hooks more times than expected.

--path-exclude=motif-global
--path-include=motif-global
    Set glob-pattern as a path filter, either by excluding or re-including previously excluded paths matching the specified patterns during install (since dpkg 1.15.8). Attention : dépendre des chemins exclus peut entièrement casser le système. Ce réglage doit donc être utilisé avec précautions. The glob patterns use the same wildcards used in the shell, were ‘*’ matches any sequence of characters, including the empty string and also ‘/’. For example, «/usr/*/READ*» matches «/usr/share/doc/package/README». As usual, ‘?’ matches any single character (again, including ‘/’). And ‘[’ starts a character class, which can contain a list of characters, ranges and complementations. See glob(7) for detailed information about globbing. Note: the current implementation might re-include more directories and symlinks than needed, to be on the safe side and avoid possible unpack failures, future work might fix this. Cela peut servir à exclure tous les chemins sauf certains spécifiques. Un cas classique d'utilisation est :
    --path-exclude=/usr/share/doc/*
    --path-include=/usr/share/doc/*/copyright
    qui permet de supprimer tous les fichiers de documentation sauf les fichiers de « copyright ». Ces deux options peuvent être utilisées plusieurs fois et éventuellement être alternées entre elles. Les deux sont traitées dans l'ordre indiqué : la dernière règle correspondant à un fichier donné est alors celle qui sera utilisée.

--verify-format nom-de-format
    Sets the output format for the --verify command (since dpkg 1.17.2). The only currently supported output format is rpm, which consists of a line for every path that failed any check. The lines start with 9 characters to report each specific check result, a ‘?’ implies the check could not be done (lack of support, file permissions, etc), ‘.’ implies the check passed, and an alphanumeric character implies a specific check failed; the md5sum verification is denoted with a ‘5’ on the third character. The line is followed by a space and an attribute character (currently ‘c’ for conffiles), another space and the pathname.

--status-fd n
    Envoie un état du paquet compréhensible par la machine et met à jour cette information dans le fichier de description n. Cette option peut être spécifiée plusieurs fois. L'information est généralement constituée d'un enregistrement par ligne, dans l'une des formes suivantes :

    status: paquet: status
        L'état du paquet a changé ; le status est tel que dans le fichier d'état ( «status file »).

    status: paquet : error : message-d'erreur-complet
        Une erreur s'est produite. Toutes les lignes supplémentaires éventuelles dans extended-error-message seront converties en espaces avant affichage.

    status: fichier : conffile-prompt : 'real-old' 'real-new' useredited distedited
        Une question pour un fichier de configuration va être posée à l'utilisateur.

    processing: stage: paquet
        Envoyé juste avant le début du traitement d'un stage. Les stages sont upgrade, install (les deux sont envoyés avant le dépaquetage), configure, trigproc, disappear, remove, purge.

--status-logger=commande
    Send machine-readable package status and progress information to the shell command's standard input (since dpkg 1.16.0). This option can be specified multiple times. The output format used is the same as in --status-fd.

--log=fichier
    Log status change updates and actions to filename, instead of the default /var/log/dpkg.log. If this option is given multiple times, the last filename is used. Log messages are of the form ‘YYYY-MM-DD HH:MM:SS startup type command’ for each dpkg invocation where type is archives (with a command of unpack or install) or packages (with a command of configure, triggers-only, remove or purge); ‘YYYY-MM-DD HH:MM:SS status state pkg installed-version’ for status change updates; ‘YYYY-MM-DD HH:MM:SS action pkg installed-version available-version’ for actions where action is one of install, upgrade, configure, trigproc, disappear, remove or purge; and ‘YYYY-MM-DD HH:MM:SS conffile filename decision’ for conffile changes where decision is either install or keep.

--no-debsig
    Ne pas tenter de vérifier la signature des paquets.

--no-triggers
    Do not run any triggers in this run (since dpkg 1.14.17), but activations will still be recorded. If used with --configure package or --triggers-only package then the named package postinst will still be run even if only a triggers run is needed. Use of this option may leave packages in the improper triggers-awaited and triggers-pending states. This can be fixed later by running: dpkg --configure --pending.

--triggers
    Cancels a previous --no-triggers (since dpkg 1.14.17).

ENVIRONNEMENT

PATH
    This variable is expected to be defined in the environment and point to the system paths where several required programs are to be found. If it's not set or the programs are not found, dpkg will abort.

HOME
    Si cette option est utilisée, dpkg utilisera le répertoire indiqué pour lire le fichier de configuration propre à l'utilisateur.

TMPDIR
    Si cette option est utilisée, dpkg utilisera le répertoire indiqué pour créer les fichiers et répertoire temporaires.

PAGER
    Cette option indique le programme exécuté par dpkg quand il affiche les fichiers de configuration.

SHELL
    Le programme exécuté par dpkg quand il lance un nouvel interpréteur de commandes.

COLUMNS
    Fixe le nombre de colonnes utilisées par dpkg lorsqu'il affiche un texte formaté. Seule l'action -l se sert actuellement de cette variable.

DPKG_SHELL_REASON
    Defined by dpkg on the shell spawned on the conffile prompt to examine the situation (since dpkg 1.15.6). Current valid value: conffile-prompt.

DPKG_CONFFILE_OLD
    Defined by dpkg on the shell spawned on the conffile prompt to examine the situation (since dpkg 1.15.6). Contains the path to the old conffile.

DPKG_CONFFILE_NEW
    Defined by dpkg on the shell spawned on the conffile prompt to examine the situation (since dpkg 1.15.6). Contains the path to the new conffile.

DPKG_RUNNING_VERSION
    Defined by dpkg on the maintainer script environment to the version of the currently running dpkg instance (since dpkg 1.14.17).

DPKG_MAINTSCRIPT_PACKAGE
    Defined by dpkg on the maintainer script environment to the (non-arch-qualified) package name being handled (since dpkg 1.14.17).

DPKG_MAINTSCRIPT_PACKAGE_REFCOUNT
    Defined by dpkg on the maintainer script environment to the package reference count, i.e. the number of package instances with a state greater than not-installed (since dpkg 1.17.2).

DPKG_MAINTSCRIPT_ARCH
    Defined by dpkg on the maintainer script environment to the architecture the package got built for (since dpkg 1.15.4).

DPKG_MAINTSCRIPT_NAME
    Defined by dpkg on the maintainer script environment to the name of the script running, one of preinst, postinst, prerm or postrm (since dpkg 1.15.7).

FICHIERS

/etc/dpkg/dpkg.cfg.d/[0-9a-zA-Z_-]*
    Configuration fragment files (since dpkg 1.15.4).

/etc/dpkg/dpkg.cfg
    Fichier de configuration contenant les options par défaut.

/var/log/dpkg.log
    Fichier journal standard. Voyez /etc/dpkg/dpkg.cfg(5) et l'option --log.

Les autres fichiers répertoriés ici sont dans leur répertoire par défaut, voyez l'option --admindir pour savoir comment changer l'emplacement de ces fichiers.

/var/lib/dpkg/available
    Liste des paquets disponibles.

/var/lib/dpkg/status
    États des paquets disponibles. Ce fichier contient des informations qui permettent de savoir si un paquet est marqué comme devant être supprimé ou pas, devant être installé ou pas, etc. Voyez la section RENSEIGNEMENTS SUR LES PAQUETS pour des informations supplémentaires. Le fichier d'état est sauvegardé quotidiennement dans /var/backups. Cela peut être utile en cas de perte ou de corruption dûe à des problèmes de système de fichiers.

Les fichiers suivants font partie d'un paquet binaire. Voyez deb(5) pour des informations supplémentaires :
    control
    conffiles
    preinst
    postinst
    prerm
    postrm
    triggers

BOGUES
L'option --no-act ne donne pas assez d'informations utiles.

EXEMPLES
Affichage des paquets installés liés à l'éditeur vi(1) (noter que dpkg-query ne charge plus le fichier available par défaut, sauf si l'option dpkg-query --load-avail est utilisée) :
    dpkg -l '*vi*'
Pour voir les entrées de /var/lib/dpkg/available concernant deux paquets :
    dpkg --print-avail elvis vim | less
Pour rechercher vous-même dans la liste des paquets :
    less /var/lib/dpkg/available
Pour supprimer le paquet installé elvis :
    dpkg -r elvis
To install a package, you first need to find it in an archive or CDROM. The available file shows that the vim package is in section editors:
     cd /media/cdrom/pool/main/v/vim
     dpkg -i vim_4.5-3.deb
Pour faire une copie locale des états de sélection des paquets :
    dpkg --get-selections >myselections
Vous pourriez transférer ce fichier sur un autre ordinateur, et après avoir mis à jour le fichier available avec l'interface de gestion de paquets de votre choix (voir https://wiki.debian.org/Teams/Dpkg/FAQ pour plus de détails), par exemple :
     apt-cache dumpavail | dpkg --merge-avail
ou avec dpkg 1.17.6 et les versions antérieures :
     avail=`mktemp`
     apt-cache dumpavail >"$avail"
     dpkg --merge-avail "$avail"
     rm "$avail"
vous pouvez l'installer de cette manière :
    dpkg --clear-selections
    dpkg --set-selections <myselections
On remarquera que cela n'installe ou ne supprime rien du tout ; cela ne fait qu'enregistrer l'état souhaité des paquets. Vous aurez besoin d'autres applications pour récupérer et installer réellement les paquets requis. Par exemple, exécutez apt-get dselect-upgrade. Habituellement, vous trouverez que dselect(1) fournit une façon plus aisée de modifier les états de sélection des paquets.

FONCTIONNALITÉS SUPPLÉMENTAIRES
D'autres possibilités sont offertes en installant les paquets suivants : apt, aptitude et debsums.

VOIR AUSSI
aptitude(1), apt(1), dselect(1), dpkg-deb(1), dpkg-query(1), deb(5), deb-control(5), dpkg.cfg(5) et dpkg-reconfigure(8).

AUTEURS
Consultez /usr/share/doc/dpkg/THANKS pour la liste de ceux qui ont contribué à dpkg.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.